# monkeybread

[![Tests][badge-tests]][link-tests]
[![Documentation][badge-docs]][link-docs]

[badge-tests]: https://img.shields.io/github/workflow/status/immunitastx/monkeybread/Test/main
[link-tests]: https://github.com/immunitastx/monkeybread/actions/workflows/test.yml
[badge-docs]: https://img.shields.io/readthedocs/monkeybread

Tool for analyzing cell closeness in spatial transcriptomic data. Developed at
[Immunitas Therapeutics](https://www.immunitastx.com/).

## Getting started

Please refer to the [documentation][link-docs]. In particular, the

-   [API documentation][link-api].

## Installation

You need to have Python 3.8 or newer installed on your system. If you don't have
Python installed, we recommend installing [Mambaforge](https://github.com/conda-forge/miniforge#mambaforge).

There are several alternative options to install monkeybread:

<!--
1) Install the latest release of `monkeybread` from `PyPI <https://pypi.org/project/monkeybread/>`_:

```bash
pip install monkeybread
```
-->

1. Install the latest development version:

```bash
pip install git+https://github.com/immunitastx/monkeybread.git@main
```

## Release notes

See the [changelog][changelog].

## Contact

For questions and help requests, you can reach out in the [scverse discourse][scverse-discourse].
If you found a bug, please use the [issue tracker][issue-tracker].

## Citation

> t.b.a

[scverse-discourse]: https://discourse.scverse.org/
[issue-tracker]: https://github.com/immunitastx/monkeybread/issues
[changelog]: https://monkeybread.readthedocs.io/en/latest/changelog.html
[link-docs]: https://monkeybread.readthedocs.io
[link-api]: https://monkeybread.readthedocs.io/en/latest/api.html
